godo.ActionGateway.OutputViews.Delete()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.ActionGateway.OutputViews.Delete(ctx context.Context, viewID string) (*godo.ActionGatewayOutputViewResponse, *godo.Response, error)Description
Delete deletes an output view.
This method sends a DELETE request to /v2/action-gateway/output-views/{}.
Parameters
viewIDstring required
Returns
- *godo.ActionGatewayOutputViewResponse
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.ActionGatewayOutputViewResponse
ActionGatewayOutputViewResponse contains one view.
View*godo.ActionGatewayOutputView
Request Sample
Response Example
More Information
See DELETE /v2/action-gateway/output-views/{} in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.